[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Qt4 RPMs broken?



eah <darth_linux <at> ameritech.net> writes:
> I'm trying to integrate Eclipse and Qt4. I'm running Fedora 6 and the stock 
> RPMs of Qt4. When Eclipse prompts me for the install directory of Qt4, I 
> notice the Qt4 includes and binaries are not in the same directory tree. 
> qmake-qt4 -query QT_INSTALL_PREFIX reports /usr/lib64/qt4, but it only 
> contains bin,  demos,  doc (*),  examples,  LICENSE.GPL,  mkspecs, and 
> plugins. The Qt4 includes are in /usr/include. 

This is called "complying to the FHS", not "broken". It's entirely intentional.

> (*) doc is a link to /usr/share/doc/qt, but should point 
> to /usr/share/doc/qt4. 

That one sounds like a bug. Are you sure about that? It points 
to ../../share/doc/qt4 here (qt4-4.3.0-8.fc7).

> Can this (has this) be resolved? 

There's nothing to resolve here (except possibly the doc symlink). If the 
packaging breaks the Qt Eclipse integration, complain to Trolltech, there's 
nothing we can do about it until/unless they release the source code for that.

        Kevin Kofler


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]